org.hibernate.search.analyzer.definition

## Interface LuceneCompositeAnalysisDefinitionContext

- All Superinterfaces:
    LuceneAnalysisDefinitionRegistryBuilder
  All Known Subinterfaces:
    LuceneAnalyzerDefinitionWithTokenizerContext, LuceneCharFilterDefinitionContext, LuceneNormalizerDefinitionContext, LuceneTokenFilterDefinitionContext
  All Known Implementing Classes:
    LuceneAnalyzerDefinitionContextImpl, LuceneCharFilterDefinitionContextImpl, LuceneNormalizerDefinitionContextImpl, LuceneTokenFilterDefinitionContextImpl

      public interface LuceneCompositeAnalysisDefinitionContext
      extends LuceneAnalysisDefinitionRegistryBuilder

  Author:
    Yoann Rodiere
  Experimental
    The specific API of this DSL is a prototype. Please let us know what you like and what you don't like, and bear in mind that this will likely change in any future version.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `LuceneCharFilterDefinitionContext` | `charFilter(Class<? extends CharFilterFactory> factory)` Add a char filter that the analyzer will use.
    `LuceneTokenFilterDefinitionContext` | `tokenFilter(Class<? extends TokenFilterFactory> factory)` Add a token filter that the analyzer will use.

    - ### Methods inherited from interface org.hibernate.search.analyzer.definition.LuceneAnalysisDefinitionRegistryBuilder

      `analyzer, normalizer`

- - ### Method Detail

    - #### charFilter

          LuceneCharFilterDefinitionContext charFilter(Class<? extends CharFilterFactory> factory)

      Add a char filter that the analyzer will use.
      Parameters:
        `factory` - The factory that will create the char filter.
      Returns:
        A context allowing to further define this analyzer or the char filter.

    - #### tokenFilter

          LuceneTokenFilterDefinitionContext tokenFilter(Class<? extends TokenFilterFactory> factory)

      Add a token filter that the analyzer will use.
      Parameters:
        `factory` - The factory that will create the token filter.
      Returns:
        A context allowing to further define this analyzer or the token filter.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved